Bug 799622 - gnome-shell clock lacks basic configuration options
gnome-shell clock lacks basic configuration options
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-03 11:11 EST by Steevithak
Modified: 2013-02-13 15:25 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 15:25:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steevithak 2012-03-03 11:11:54 EST
Description of problem:

Installed Fedora 16. The time is displayed with hour and minutes only, centered on the top status bar. I tried to right click to configure it but got the same menu as when I left click, which is very confusing. Normally left clicks are for using a program and right clicks brings up the context menu to configure the  program. I'm not certain if that's a bug or just defective user interface design in GNOME 3 that prevents easy access to contextual information. But, the main point here is that I'm not able to do even basic configuration of the clock including:

1. Turn on/off display of seconds
2. Turn on/off display of day, date
3. Adjust position on tool bar (this is important because it seems to default to centered which is a very bad choice for a string of proportional text that changes frequently - it's constantly jiggling and moving back and forth as the time changes making a distraction for the user. If you have to center it, left or right justify it in a centered box please. Ideally I'd like to be able to put on the right near the other information stuff instead of in the center.

Version-Release number of selected component (if applicable):
Unknown, without a working context menu on right click, it appears impossible to get a help/about screen to find out the name and version of the program.

How reproducible:
Always

Steps to Reproduce:
1. Install Fedora 16
2. Try to configure clock
3. Fail and be annoyed that version 16 of a major OS lacks a configurable clock
  
Actual results:
User is stuck with what some random program thinks is the ideal clock display format

Expected results:
User is able to have a clock display is useful for their needs

Additional info:

I notice the temp/weather display was removed from the clock too. I found this useful and am sorry it was removed.
Comment 1 collura 2012-05-30 18:17:43 EDT
agreed.

also, the lack of capability of adding 
multiple random cities/timezones 
can make a workday kind of disorienting.
Comment 2 Fedora End Of Life 2013-01-16 11:34:47 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2013-02-13 15:25:20 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.